import java.io.*;
import java.net.*;
import java.awt.*;
import java.awt.event.*;
import java.rmi.server.*;
import java.rmi.*;

class AuktionClient {
	
	public static void main (String[] args) {
	  AuktionFrame af = new AuktionFrame();
	  af.setVisible(true);
	}
}

class AuktionFrame extends Frame {
	Label label1;
	Label label2;
	Label label3;
	TextField text1;
	TextField text2;
	TextArea area1;
	Button knap1;
	Button knap2;
	
	AuktionInterface theServer = null;

	public AuktionFrame() {

		setSize(600,400);
		setResizable(false);
		setTitle("Online auktion");
		setLocation(100,100);
		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});

		setLayout(null);
		
		label1 = new Label("Bruger");
		label1.setBounds(10,30,200,20);
		add(label1);
		
		text1 = new TextField();
		text1.setBounds(230,30,350,25);
		text1.setText("");
		add(text1);

		label2 = new Label("Bud");
		label2.setBounds(10,60,200,20);
		add(label2);
		
		label3 = new Label("");
		label3.setBounds(10,500,380,20);
		add(label3);
		
		text2 = new TextField();
		text2.setBounds(230,60,350,25);
		text2.setText("");
		add(text2);
		
		knap1 = new Button("Send");
		knap1.setBounds(230,90,50,25);
		add(knap1);

		knap2 = new Button("Se bud");
		knap2.setBounds(10,120,50,25);
		add(knap2);

		area1 = new TextArea();
		area1.setBounds(10,150,480,200);
		area1.setText("");
		add(area1);
		
    String name = "rmi://" + "localhost" + ":7913/AuktionServer";
    area1.append("Tilkobling forsges\n");
 		
    try
    {
      theServer = (AuktionInterface) Naming.lookup(name);
      area1.append("Tilkoblet til auktionsserver\n");
    }
    catch(Exception e)
    {
      System.out.println("Tilkobling mislykkedes\n");
      System.out.println("Exception " +e);
      System.exit(1);
    }

		knap1.addActionListener(new ActionListener() {

			public void actionPerformed(ActionEvent e) {
				// Send et bud til auktionsserveren
				try {
					double bel = Double.parseDouble(text2.getText());
	  			theServer.bud(text1.getText(), bel);
	  			String txt = theServer.getNavn() + " har budt " +
		 		  	theServer.getBud() + "\n";
		  		area1.append(txt);
				}
				catch(NumberFormatException n) {
					area1.append("Fejl i indtastet belb\n");
				}
				catch(Exception x) {
					area1.append("Bud kunne ikke afgives!\n");
        }
			}
		});

		
		knap2.addActionListener(new ActionListener() {

			public void actionPerformed(ActionEvent e) {
				// Send et bud til auktionsserveren
				try {
				String txt = theServer.getNavn() + " har budt " +
					theServer.getBud() + "\n";
				area1.append(txt);
				}
				catch(Exception x) {
					area1.append("Server svarer ikke\n");
        }
			}
		});

	}
}