import java.rmi.server.UnicastRemoteObject;
import java.rmi.*;
import java.rmi.registry.*;

public class AuktionServant extends UnicastRemoteObject implements AuktionInterface 
{
  private String etNavn = "";
  private double etBud = 0.0;

  public AuktionServant() throws RemoteException
	{
    super();
	}


  public synchronized void bud(String navn, double beloeb) throws RemoteException
  {
    if (beloeb > etBud) {
      etNavn = navn;
      etBud = beloeb;
    }
  }

  public String getNavn() throws RemoteException
  {
    return etNavn;
  }

  public double getBud() throws RemoteException
  {
    return etBud;
  }
     
  public static void main(String argv[])
  {
    try {
      String name = "rmi://localhost:7913/AuktionServer";
      System.out.println("Registering as: \""+name+"\"");
      AuktionServant theServer = new AuktionServant();
      Naming.rebind(name,theServer);
      System.out.println(name+" ready...");
    }
    catch(Exception e)
    {
      System.out.println("Exception while registering: "+e);
    }
  }
}